using EscapeRoomEngine.Engine.Runtime.Modules;
using EscapeRoomEngine.Engine.Runtime.Modules.State;
using JetBrains.Annotations;
using NaughtyAttributes;
using UnityEngine;

namespace Station46.Modules.Elevated_Platform.Scripts
{
    public class ElevatedPlatform : ModuleState
    {
        [BoxGroup("Internal")] [SerializeField] private PlatformElevator _elevator;
        
        public override void SetModule(Module module) {}

        #region Debug Buttons
        
        [Button(enabledMode: EButtonEnableMode.Playmode)]
        [UsedImplicitly]
        public void ActivateElevator()
        {
            _elevator.Activate();
        }
        
        #endregion
    }
}